@import url('https://fonts.googleapis.com/css2?family=Caveat:wght@400..700&family=Playwrite+BE+VLG:wght@100..400&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Lobster&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Kanit:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Kanit:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
.container-fluid{
    max-width: 1140px;
    margin: 0 auto;
    padding: 0 15px;
}
.heading{
    text-align: center;
}
.heading h1{
    font-size: 45px;
    font-family: "Poppins", sans-serif;
 font-weight: 500;
    text-shadow: 2px 2px gray;
    color: orange;
letter-spacing: 3px;
position: relative;
}
.heading h1::after{
    position: absolute;
    content: "";
    width: 9%;
    height: 2px;
    left: 46%;
    display: block;
    background-color: rgb(27, 166, 221);
   bottom: -10px;
    right: 0;
}
.heading p{
    font-size: 16px;
    padding: 16px 0;
    font-weight: 400;
}
.lower-sec{
    padding: 20px 0;
}
.lower-sec .button-btn{
    display: inline-block;
}
.lower-sec .button-btn a{
    color: white;
}
.lower-sec .button-btn a:hover{
    color: black;
}
.lower-sec .card-title{
    font-size: 25px;
 color: #000;
    font-weight: bold;
padding: 5px 0;
}

/* =====nav-prt===== */
.logo a{
    font-size: 30px;
    font-family: "Kanit", sans-serif;
font-weight:500;
text-shadow: 2px 2px 5px black;
color: orange;
padding-top: 10px;
transition: 0.5s;
}
.logo a:hover{
    color: #000;
    text-shadow: 2px 2px white;
}
.logo a img{
    max-width: 45px
}
.navbar{
    background-color:skyblue ;
}
.button-btn{
    background-color: rgb(228, 154, 18);
    border-radius: 8px;
    padding: 10px 15px 10px 15px;
    text-decoration: none;
    color: #fff;
  transition: 0.5s;
}
.button-btn:hover{
    background-color: white;
box-shadow: 1px 1px 1px  gray;
color: #000;
}
.button-btn a{
    text-decoration: none;
    font-size: 16px;
    color: #000;
    display: inline-block;
    padding: 8px 13px;
font-weight: 600;
}
.navbar-nav{
    padding-left: 25%;
}
.nav-item a{
    font-size: 15px;
    font-weight: 500;
    color:black;
    display: inline-block;
    margin-left: 15px;
}


/* =============banner-part=============== */

.banner{
    width: 100%;
    background-image: url(../images/b.jpg);
    height: 80vh;
    background-position: center center;
    background-repeat: no-repeat;
    background-size: 100% 100%;
    overflow: hidden;
}
.banner-text{
    max-width: 700px;
    padding-top: 160px;
}
.banner-text h1{
    font-size: 60px;
    font-family: "Kanit", sans-serif;
font-weight:600;
text-shadow: 2px 2px 2px gray;
color:rgb(2, 36, 49); 
transition: 0.5s;
}
.banner-text h1:hover{
    color: rgb(252, 170, 18);
}
.banner-text p{
font-size: 16px;
padding: 15px 0;
font-weight: 400;
}
.banner-sec .button-btn{
    display: inline-block;
}


/* ==========service-part======== */

.service-sec{
    padding: 50px 0;
}

.lower-sec .card{
background-color: lightskyblue;
border: none;
}

/* =========blog-sec========== */

.blog-img img{
width: 100%;
padding: 30px;
}

.blog-item h3{
    font-size: 28px;
font-weight: 500;
padding-bottom: 12px;
}

.blog-item .button-btn{
    margin: 20px 0;
}

/* ==========team-part=============== */
.team-part{
    padding-bottom: 50px;
}
.team-img img{
width: 100%;
}

.icon i{
    font-size: 18px;
    width: 30px;
    height: 30px;
    background-color:white;
    padding: 6px;
    margin: 18px 3px 0 0;
    border: 1px solid orange;
}
/* ======contact-part======= */

.contact-background{
background-color:rgb(40 185 255);
margin: 50px 0 0;
}
.contact-form{
    width: 80%;
    margin: 0 auto;
    text-align: center;
    padding-top: 20px;
}
.contact-form input{
 display: block;
width: 70%;
margin: 10px auto;
border: none;
text-indent: 5px;
padding: 4px 0;
background: none;
border-bottom: 1px solid white;
}

.contact-form input:focus-visible{
display: none;
}
.contact-sec .button-btn{
    margin:20px auto;
  text-align: center;
}
.contact-form input::placeholder{
    color: #fff !important;
    font-size: 18px;
}

/* ======footer-part======== */
.footer-sec{
    background-color:#000;
padding: 50px 0;
}
.footer-sec .logo img{
   display: block;
max-width: 110px;
margin: 0 auto;
}
.footer-sec .contact-form input{
    display: block;
    width: 100%;
    margin: 10px auto;
    text-indent: 5px;
    padding: 4px 0;
}

.footer-menu h3{
    font-size: 30px;
    color: whitesmoke;
    padding-bottom: 15px;
}
.footer-menu ul li{
    list-style-type:none;  
    color: white;
}
.footer-menu ul li a{
    text-decoration: none;
    color: white;
}
.footer-contact h3{
    color: white;
    padding-top: 15px;
    font-size: 22px;
}
.footer-contact h6{
    color: orange;
    padding: 5px 0;
    font-size: 26px;
}
.footer-contact p{
    color: white;
    font-size: 16px;
}
.footer-contact .button-btn{
    display: inline-block;
}
.footer-list{
    text-align: left !important;
 padding-left: 35%;
}
/* =====sub-footer====== */
.sub-footer{
    background-color:#fff;
}
.footer-text{
    width: 50%;
    margin: 0 auto;
    text-align: center;
}
.footer-text p{
    padding: 20px 0;
    font-size: 14px;
    color: #000;

}

/* ==========================service-page=================================== */
.banner-title h1{
    font-style: 40px;
    color: #fff;
}
.service-part .heading p{
    font-size: 18px;
}
.service-banner{
    background-image: url('../images/service-banner.webp');
height: 80vh;
background-repeat: no-repeat;
background-position: center;
background-size: cover;
}
.service-banner .banner-text{
    max-width: 550px;
    padding-top: 100px;
}
.service-part{
    padding: 50px 0;
}
.ser-img{
    padding: 40px;
}
.ser-img img{
 width: 100%;
 display: block;
}
.ser-text-box{
    padding: 40px;
}
.ser-text-box h3{
    font-size: 35px;
    color: #000;
    padding: 6px 20px 10px;
    background-color: white;
    display: inline-block;
    color: #ffa500;
    border: 1px solid #ffa500;
}
.ser-text-box h6{
    font-size: 16;
    color: rgb(69 185 233);
    font-family: "Kanit", sans-serif;
    font-weight: 400;
    font-style: normal;
    padding: 15px 0;
}
.ser-text-box p{
    font-size: 14px;
    color: #000;
}
.footer{
    text-align: center;
}
/* ====================blog-page======================== */
.blog-banner{
background-image: url('../images/blog-backgrond.jpg');
height: 80vh;
background-repeat: no-repeat;
background-position: center;
background-size: cover;
}
.blog-banner .banner-text{
    padding-top: 60px;  
}
.blog-items{
    padding: 60px 0;
}
.blog_img img{
width: 100%;
display: block;
 padding: 40px; 
}
.blog_details{
    padding: 40px;
}
/* =======contact_page======= */
.contact-banner{
    background-image: url(../images/contact-banner.webp);
    height: 80vh;
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
}

.contact-banner .banner-text{
max-width: 560px;
    padding-top: 60px;
    text-align: right;
   margin-left: 50%;
}
.con-up{
    padding: 40px;
}
.contact-title h1{
font-size: 30px;
font-weight: bold;
font-family: "Poppins", sans-serif;
color: rgb(209, 99, 21);
}
.contact-title p{
    font-size: 14px;
    font-weight: normal;
}
.contact-frm{
    padding: 40px;
    border-left: 2px solid orange;
}
.contact-frm form input {
    width: 90%;
    display: block;
    border: none;
    border-bottom: 1px solid gray;
    margin-bottom: 8px;
}
.contact-frm form input::placeholder{
 font-size: 14px;
 color: #000;
}
.contact-loc{
    padding-top: 10px;
}
.con-location-item{
    margin-top: 6px;
}
.con-location-item a{
    text-decoration: none;
   color: #000;
    font-size: 18px;
    display: flex;
    gap: 30px;
}
.con-location-item i{
    width: 40px;
    height: 40px;
    border-radius: 40px 40px 40px 0;
    background-color: rgb(112, 186, 216);
    font-size: 22px;
    display: flex;
    align-items: center;
    justify-content: center;
    color:rgb(0, 0, 58);
}
/* ==============1250px=========== */
@media screen and (max-width:1250px){
    .service-sec{
        padding: 20px 0;
    }
    .team-part{
        padding-top: 20px;
        padding-bottom: 20px;
    } 
    .contact-background{
        margin: 20px 0 0;
        }
.blog-items{
    padding: 20px 0;
}

}
/* ==============991px=========== */
@media screen and (max-width:991px){
    .banner{
        height: 100%;
    }
    .blog-banner{
        height: 100%;
}
.service-banner{
height: 100%;
}
.contact-banner{
height: 100%;
}
    .navbar-nav{
        margin-top: 15px;
    }
    .banner-text{
        padding-top:80px;
    }
    .lower-sec{
        padding: 0 0;
    }
    .navbar .button-btn{
        display: none;
    }
    .navbar-nav{
        padding-left: 0;
    }
 .banner{
 min-height: 350px;
 }
  .banner-text{
    max-width:700px;
  
    text-align: center;
    margin: 0 auto;
}
.banner-text h1{
    font-size: 35px;
}
.banner-text p{
    padding: 8px 0;
}
.ser-img {
    padding: 10px;
}
.ser-text-box{
    padding: 10px;
}
.contact-form input{
   width: 100%;
}
.footer-menu ul li{
    list-style-type: none;
}
.footer-contact{
    text-align: center;
}
/* ---service-sec--- */
.row{
 display: flex;
 justify-content: center;
 align-items: center;
}
/* ============service-page========== */
.service-banner .banner-text{
    padding-top: 50px;
    }
.service-banner{
width: 100%;
object-fit: cover;
}
.blog-img img {
    padding: 0px; 
}
.blog_img img {
    padding: 0px;
}
.blog_details{
    padding: 10px;
}
.contact-frm{
    padding: 10px;
    border-left: none;
}
.contact-frm form input {
    width: 100%;
}
.con-up{
    padding: 10px;
}
.contact-banner .banner-text{
max-width: 100%;
padding-top: 60px;
text-align: center;
margin: 0 auto;
    }
    .blog-img img{
        max-width: 100%;
        margin-left: 0;
        }
        .card{
            margin-top:20px;
        }
 
 .service-banner{
    min-height: 250px;
 }
 
 .blog-banner{
    min-height: 250px;
 }
 .contact-banner{
    min-height: 250px;
 }
.service-part {
    padding: 30px 0;
}
.ser-text-box h3{
    font-size: 25px;
    
}
.heading h1{
    font-size: 35px;
}
}
/* ===================576px===================== */
@media screen and (max-width:576px){
    .banner-text h1{
        font-size: 30px;
    }
    .banner-text p{
        padding: 5px 0;
    }   
}